commit:     86a0bcad235a50769229075c60b15f410d9dba50
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 17 06:44:25 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 17 06:45:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86a0bcad

app-arch/bzip2: run test suite

The Makefile in the builddir lacks a check target
so we'd silently skip it before.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-arch/bzip2/bzip2-1.0.8-r1.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/app-arch/bzip2/bzip2-1.0.8-r1.ebuild 
b/app-arch/bzip2/bzip2-1.0.8-r1.ebuild
index a3ee12f8c36c..62a13959bff9 100644
--- a/app-arch/bzip2/bzip2-1.0.8-r1.ebuild
+++ b/app-arch/bzip2/bzip2-1.0.8-r1.ebuild
@@ -67,6 +67,11 @@ multilib_src_compile() {
        bemake -f "${S}"/Makefile all LDFLAGS="${LDFLAGS} $(usex static -static 
'')"
 }
 
+multilib_src_test() {
+       cp "${S}"/sample* "${BUILD_DIR}" || die
+       bemake -f "${S}"/Makefile check
+}
+
 multilib_src_install() {
        into /usr
 

Reply via email to